<?php

namespace App\Entity\KeyHelp;

/**
 *
 */
class Target
{
    private string $target;
    private bool $isForwarding;
    private ?string $forwardingType;

    /**
     * @return string
     */
    public function getForwardingType(): string
    {
        return $this->forwardingType;
    }

    /**
     * @param string|null $forwardingType
     */
    public function setForwardingType(?string $forwardingType): void
    {
        $this->forwardingType = $forwardingType;
    }

    /**
     * @return bool
     */
    public function isForwarding(): bool
    {
        return $this->isForwarding;
    }

    /**
     * @param bool $isForwarding
     */
    public function setIsForwarding(bool $isForwarding): void
    {
        $this->isForwarding = $isForwarding;
    }

    /**
     * @return string
     */
    public function getTarget(): string
    {
        return $this->target;
    }

    /**
     * @param string $target
     */
    public function setTarget(string $target): void
    {
        $this->target = $target;
    }
}